Package org.apache.log4j

## Class VectorAppender

- java.lang.Object
- - org.apache.log4j.AppenderSkeleton
  - - org.apache.log4j.VectorAppender

- All Implemented Interfaces:
    `Appender`, `OptionHandler`

      public class VectorAppender
      extends AppenderSkeleton

  An appender that appends logging events to a vector.
  Author:
    Ceki Gülcü

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Vector<LoggingEvent>` | `vector` |

    - ### Fields inherited from class org.apache.log4j.AppenderSkeleton

      `closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VectorAppender()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `append​(LoggingEvent event)` |
    `void` | `close()` |
    `long` | `getDelay()` | Returns a delay to log.
    `Vector<LoggingEvent>` | `getVector()` | Returns a vector of `LoggingEvent`.
    `boolean` | `isClosed()` |
    `boolean` | `requiresLayout()` |
    `void` | `setDelay​(long delay)` | Sets a delay to log.

    - ### Methods inherited from class org.apache.log4j.AppenderSkeleton

      `activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vector

          public Vector<LoggingEvent> vector

  - ### Constructor Detail

    - #### VectorAppender

          public VectorAppender()

  - ### Method Detail

    - #### append

          public void append​(LoggingEvent event)

      Specified by:
        `append` in class `AppenderSkeleton`

    - #### getVector

          public Vector<LoggingEvent> getVector()

      Returns a vector of `LoggingEvent`.
      Returns:
        a vector of `LoggingEvent`.

    - #### close

          public void close()

    - #### isClosed

          public boolean isClosed()

    - #### requiresLayout

          public boolean requiresLayout()

    - #### getDelay

          public long getDelay()

      Returns a delay to log.
      Returns:
        delay to log

    - #### setDelay

          public void setDelay​(long delay)

      Sets a delay to log.
      Parameters:
        `delay` - delay to log